Subject: Info on strange plants. Need YOUR help!

From: Todd Harper <[email-masked]>
Date: 5 Oct 1995 21:46:12 GMT

As I went up to the himalayes on a expidition, I discovered a rare plant with gradual and straight 
uprooting leaves. Now,I found that to be extremely odd that a plant with green - brown leaves would be 
growing up there!? I took a small leaf of this plant and was unable to identify it in my lab. Would any one 
have any informmation of ANY plant growing in the himalayes which is not a part of tundra or such. I would 
greatly appreciate it. Even if you don't have info, E-Mail me on any strange plant encounters because I am 
trying to determine the number of odd plants normal people like you and me have encountered. Thanks a 
lot!
					Todd Harper <[email-masked]>